SuperLU: SRC/clacon.c File Reference

SuperLU 5.2.0

- Main Page
- Data Structures
- Files

- File List
- Globals

Functions
clacon.c File Reference

Estimates the 1-norm. More...

`#include <math.h>`
`#include "slu_Cnames.h"`
`#include "slu_scomplex.h"`
Include dependency graph for clacon.c:

## Functions
int | clacon_ (int *n, complex *v, complex *x, float *est, int *kase)

## Detailed Description

Copyright (c) 2003, The Regents of the University of California, through Lawrence Berkeley National Laboratory (subject to receipt of any required approvals from U.S. Dept. of Energy)

All rights reserved.

The source code is distributed under BSD license, see the file License.txt at the top-level directory.

    – SuperLU routine (version 2.0) –
    Univ. of California Berkeley, Xerox Palo Alto Research Center,
    and Lawrence Berkeley National Lab.
    November 15, 1997

## Function Documentation

int clacon_ | ( | int * | n,
|  | complex * | v,
|  | complex * | x,
|  | float * | est,
|  | int * | kase
| ) |  |

#

    Purpose

      CLACON estimates the 1-norm of a square matrix A.
      Reverse communication is used for evaluating matrix-vector products.

#

    Arguments

      N      (input) INT
             The order of the matrix.  N >= 1.

      V      (workspace) COMPLEX PRECISION array, dimension (N)
             On the final return, V = A*W,  where  EST = norm(V)/norm(W)
             (W is not returned).

      X      (input/output) COMPLEX PRECISION array, dimension (N)
             On an intermediate return, X should be overwritten by
                   A * X,   if KASE=1,
                   A' * X,  if KASE=2,
             where A' is the conjugate transpose of A,
            and CLACON must be re-called with all the other parameters
             unchanged.

      EST    (output) FLOAT PRECISION
             An estimate (a lower bound) for norm(A).

      KASE   (input/output) INT
             On the initial call to CLACON, KASE should be 0.
             On an intermediate return, KASE will be 1 or 2, indicating
             whether X should be overwritten by A * X  or A' * X.
             On the final return from CLACON, KASE will again be 0.

      Further Details
      ======= =======

      Contributed by Nick Higham, University of Manchester.
      Originally named CONEST, dated March 16, 1988.

#

      Reference: N.J. Higham, "FORTRAN codes for estimating the one-norm of
      a real or complex matrix, with applications to condition estimation",

    ACM Trans. Math. Soft., vol. 14, no. 4, pp. 381-396, December 1988.

Here is the call graph for this function: